com.tibco.tibjms.admin

## Class DbStoreInfo

- java.lang.Object
- - com.tibco.tibjms.admin.StoreInfo
  - - com.tibco.tibjms.admin.DbStoreInfo

-     public class DbStoreInfo
      extends StoreInfo

  Class representing information about server's database-based store.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbStoreInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `java.lang.String` | `getDriverDialect()` Get the store's Hibernate dialect.
    `java.lang.String` | `getDriverName()` Get the store's JDBC driver class name.
    `java.lang.String` | `getURL()` Get the store's JDBC URL.
    `java.lang.String` | `getUserName()` Get the user name used to access the store.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibco.tibjms.admin.StoreInfo

      `getAverageWriteTime, getFileSize, getFreeSpace, getMsgBytes, getMsgCount, getSwappedBytes, getSwappedCount, getUsedSpace, getWriteUsage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDriverName

          public java.lang.String getDriverName()

      Get the store's JDBC driver class name.
      Returns:
        driver name

    - #### getURL

          public java.lang.String getURL()

      Get the store's JDBC URL.
      Returns:
        URL

    - #### getUserName

          public java.lang.String getUserName()

      Get the user name used to access the store.
      Returns:
        user name

    - #### getDriverDialect

          public java.lang.String getDriverDialect()

      Get the store's Hibernate dialect.
      Returns:
        driver dialect

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static DbStoreInfo from(javax.management.openmbean.CompositeData cd)
                                  throws java.lang.Exception

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a DbStoreInfo object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved